
package com.marce.test;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.marce.test.TestSwitchColor.Color;


/**
 * Servlet
 *
 * @author Marce
 */

@WebServlet("/")
public class TestSwitchServlet extends HttpServlet {
    private static final long serialVersionUID = 1L;

    /**
     * Proceso solicitud get
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setCharacterEncoding("UTF-8");
        PrintWriter html = response.getWriter();

        html.append("<!DOCTYPE html>")
            .append("<html>")
            .append("<head>")
            .append("<meta charset=\"UTF-8\">")
            .append("<title>Colores</title>")
            .append("</head>")
            .append("<body>")
            .append("<h3>Seleccione color</h3>")
            .append("<form method=\"post\">")
            .append("<select name=\"color\">");
        for (Color currCol : Color.values()) {
            String cCurrCol = currCol.name().charAt(0) + currCol.name().substring(1).toLowerCase();
            html.append("<option value=\"" + currCol.ordinal() + "\">" + cCurrCol + "</option>");
        }
        html.append("</select>")
            .append("&nbsp;")
            .append("<button type=\"submit\">Visualizar</button>")
            .append("</form>")
            .append("</body>")
            .append("</html>");
    }

    /**
     * Proceso solicitud post
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        
        String selColor = request.getParameter("color");
        int nColor = Integer.parseInt(selColor);
        String hexColor = TestSwitchColor.getHexColor(nColor);
        
        response.setCharacterEncoding("UTF-8");
        PrintWriter html = response.getWriter();

        html.append("<!DOCTYPE html>")
            .append("<html>")
            .append("<head>")
            .append("<meta charset=\"UTF-8\">")
            .append("<title>Colores</title>")
            .append("</head>")
            .append("<body>")
            .append("<h3>Color en hexadecimal: " + hexColor + "</h3>")
            .append("<p style=\"background-color: " + hexColor + ";\">&nbsp;<p>")
            .append("<a href=\"" + request.getContextPath() + "\">Volver</a>")
            .append("</body>")
            .append("</html>");
    }

}
